Account session

GET /core/v1/keys

Account session · GET /core/v1/keys

Authentication

Account session. Session/administrative writes are not executed in the public Playground.

Endpoint

curl --request GET 'https://api.oneaster.ai/core/v1/keys' \
  --header 'Authorization: Bearer '"$ONEASTER_SESSION_TOKEN"

Parameters

—

Responses

200

本人最近 100 把 Key

{
  "application/json": {
    "schema": {
      "type": "object",
      "additionalProperties": false,
      "properties": {
        "success": {
          "const": true
        },
        "data": {
          "type": "array",
          "items": {
            "type": "object",
            "additionalProperties": false,
            "properties": {
              "id": {
                "type": "string",
                "pattern": "^[0-9]+$"
              },
              "name": {
                "type": "string"
              },
              "prefix": {
                "type": "string"
              },
              "enabled": {
                "type": "boolean"
              },
              "expires_at": {
                "type": "string",
                "format": "date-time"
              },
              "budget_micro": {
                "anyOf": [
                  {
                    "type": "string",
                    "pattern": "^[0-9]+$",
                    "description": "整数账务单位;1 积分 = 10000 单位,1 USD = 100 积分。前端用 BigInt。"
                  },
                  {
                    "type": "null"
                  }
                ],
                "description": "无限额时为 null;有限额时为累计总额度。unlimited_budget 明确表示模式,钱包限制始终适用。"
              },
              "unlimited_budget": {
                "type": "boolean"
              },
              "spent_micro": {
                "type": "string",
                "pattern": "^[0-9]+$",
                "description": "整数账务单位;1 积分 = 10000 单位,1 USD = 100 积分。前端用 BigInt。"
              },
              "reserved_micro": {
                "type": "string",
                "pattern": "^[0-9]+$",
                "description": "整数账务单位;1 积分 = 10000 单位,1 USD = 100 积分。前端用 BigInt。"
              },
              "models": {
                "type": "array",
                "items": {
                  "type": "string"
                },
                "description": "空数组表示所有当前及未来模型;非空数组表示精确允许列表。"
              },
              "revoked_at": {
                "anyOf": [
                  {
                    "type": "string",
                    "format": "date-time"
                  },
                  {
                    "type": "null"
                  }
                ]
              }
            },
            "required": [
              "id",
              "name",
              "prefix",
              "enabled",
              "expires_at",
              "budget_micro",
              "unlimited_budget",
              "spent_micro",
              "reserved_micro",
              "models",
              "revoked_at"
            ]
          }
        }
      },
      "required": [
        "success",
        "data"
      ]
    }
  }
}

default

错误代码见 core-api.md;供应商/数据库错误已隐藏。

{
  "application/json": {
    "schema": {
      "type": "object",
      "additionalProperties": false,
      "properties": {
        "success": {
          "const": false
        },
        "error": {
          "type": "object",
          "additionalProperties": false,
          "properties": {
            "code": {
              "type": "string"
            },
            "message": {
              "type": "string"
            },
            "type": {
              "const": "oneaster_error"
            }
          },
          "required": [
            "code",
            "message",
            "type"
          ]
        },
        "data": {
          "type": "null"
        }
      },
      "required": [
        "success",
        "error",
        "data"
      ]
    }
  }
}